Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
connect_arg Struct Reference

## Data Fields
int | fd
socklen_t | len
const struct sockaddr * | sockaddr

## Detailed Description

Definition at line 585 of file init.c.

## Field Documentation

## ◆ fd

int connect_arg::fd

Definition at line 586 of file init.c.

Referenced by rsock_make_fd_nonblock().

## ◆ len

socklen_t connect_arg::len

Definition at line 587 of file init.c.

## ◆ sockaddr

const struct sockaddr* connect_arg::sockaddr

Definition at line 588 of file init.c.

The documentation for this struct was generated from the following file:

- ext/socket/init.c